This is a list of federated social clients and other related tools that use protocols other than those used in the fediverse (OStatus, ActivityPub, Diaspora, DFRN, Zot)

#### Blockchain

The [blockchain social apps list](https://git.feneas.org/feneas/fediverse/wikis/blockchain-social-apps) has its own page, because although all these apps are *distributed* in some way (because they use a blockchain), they're not all *federated* with anything other than other copies of their own app.

#### DAT

[DAT](https://docs.dat.foundation/) is a distributed (non-blockchain) ledger & peer-to-peer data sharing toolkit, that can work offline or with poor connectivity, and uses the [Hypercore protocol](https://hypercore-protocol.org/) under the hoods. The DAT ecosystem is community developed under guidance of the non-profit [Dat Foundation](https://dat.foundation/).

- [DAT Projects](https://dat.foundation/explore/projects/) lists a number of interesting projects that are under the Dat Foundation umbrella.

- [Pushpin](https://automerge.github.io/pushpin/) is a collaborative digital workspace that works offline and syncs in real-time.

#### Matrix

[Matrix](https://matrix.org/docs/guides/faq.html) is a federated web protocol, used mainly so far for realtime chat rooms.

* [Riot](https://about.riot.im/)

#### Secure Scuttlebutt

[Secure Scuttlebutt](https://www.scuttlebutt.nz/) (SSB) is a decentralized social network, running on a peer-to-peer secure gossip platform. It is based on the [Scuttlebutt Protocol](https://ssbc.github.io/scuttlebutt-protocol-guide/) for building decentralized applications that work well offline and that no one person can control.

* [Patchwork](https://github.com/ssbc/patchwork/) (supporting Linux, MacOS, and Windows) is a stand-alone SSB client that provides a beginner-friendly social view of Scuttlebutt.

* [Patchbay](https://github.com/ssbc/patchbay) (supporting Linux, MacOS, and Windows) is an SSB client that provides a bleeding-edge, tab-based interface with experimental features.

* [Manyverse](https://www.manyver.se/) (supporting Android, iOS) is an SSB mobile client, currently in beta.

* [Patchfox](https://github.com/soapdog/patchfox) packaged as a Web Extension for Firefox provides a new way to access Scuttlebutt. It requires running either sbot, Patchwork or Patchbay.

#### XMPP

* [Movim](https://movim.eu) is a web client with social network features, written in PHP and uses ~~eJabberd (Erlang) backend~~ any XMPP server with [XEP-0060 PubSub](https://xmpp.org/extensions/xep-0060.html) support. Users can login to any Movim instance using any XMPP account, just as they can login to any Pinafore instance using any Mastodon account.

* [Salut à Toi](http://salut-a-toi.org/) (includes the Libervia web client) is a social network based on XMPP/Jabber.