This is a list of client apps that can be used with fediverse servers apps. It includes both web apps that are not the default UI (eg Pinafore, Brutaldon), and native apps for desktop or mobile OS. The list is sorted according to which server(s) or server>client protocol(s) it is compatible with.

*note*: The main purpose of this list is to help people find a maintained app suitable for their day-to-day use. However, if source code is available for abandoned apps, a section will be added for that at the end of the list, so people know we haven't just overlooked them, and in case development restarts.

# Diaspora

## Mobile

### Android

* [Dandelion*](https://github.com/gsantner/dandelion) - [On F-Droid](https://f-droid.org/en/packages/com.github.dfa.diaspora_android/) 

# Funkwhale

## Mobile

### Android

* [Otter](https://github.com/apognu/otter) - music player implementing the Funkwhale AP (instead of Subsonic)

# GNU social

## Mobile

### Android

* [AndStatus](https://github.com/andstatus/andstatus) - [On F-Droid](https://f-droid.org/en/packages/org.andstatus.app/), where it pitches itself as "a multiple accounts client for multiple Social networks, including GNU social, Mastodon, Twitter and Pump.io."

# Hubzilla

## Mobile

### Android

* [Nomad](https://hub.disroot.org/channel/nomad) - [On F-Droid](https://f-droid.org/en/packages/com.dfa.hubzilla_android/)

# Mastodon

*note*: Mastodon's bespoke server>client protocol also used by Pleroma, so any client designed to work with Mastodon ought to work with both.

## Web apps

* [Brutaldon](https://github.com/jfmcbrayer/brutaldon) - [hosted demo](https://brutaldon.online/)

* [Halcyon](https://notabug.org/halcyon-suite/halcyon) - [hosted instances](https://notabug.org/halcyon-suite/halcyon/wiki/Instances)

* [Pinafore](https://github.com/nolanlawson/pinafore) - [hosted demo](https://pinafore.social/)

## Native apps

### Mobile

#### Android

* [AndStatus](https://github.com/andstatus/andstatus) (see GNU social section above)

* [Fedilab](https://fedilab.app/) - [On F-Droid](https://f-droid.org/en/packages/fr.gouv.etalab.mastodon/)

* [Fedilab Lite](https://codeberg.org/tom79/Fedilab_Lite) - [On F-Droid](https://f-droid.org/en/packages/app.fedilab.lite/)

* [FreeTusky](https://github.com/TheChiefMeat/FreeTusky) - [On F-Droid](https://f-droid.org/en/packages/com.thechiefmeat.freetusky/)

* [Tusky](https://tusky.app/) - [On F-Droid](https://f-droid.org/en/packages/com.keylesspalace.tusky/)

* [Twitlatte](https://github.com/moko256/twitlatte) - [On F-Droid](https://f-droid.org/en/packages/com.github.moko256.twitlatte/)

#### iOS

* [Mast](https://github.com/ShihabM/Mast)

### Desktop

* [Tootle](https://github.com/bleakgrey/tootle) - desktop - supports GNU/Linux, designed for ElementaryOS. On Pleroma support: "I've received some reports that it worked, but it required a manual auth token generation" - [BleakGrey](https://fosstodon.org/@bleakgrey/100764324025132200), Tootle developer

* [WhaleBird](https://whalebird.org/) - desktop - supports GNU/Linux (.deb and .rpm). "Yes, I can use Pleroma on Whalebird." [WhaleBird developer](https://mstdn.jp/@h3_poteto/100762416335413808)

# PeerTube

## Mobile

* [Thorium](https://github.com/sschueller/peertube-android) - As of Dec, 2018, still in beta and missing many features. [On F-Droid](https://f-droid.org/en/packages/net.schueller.peertube/)

* [P2Play](https://personaljournal.ca/p2play) - [On F-Droid](https://f-droid.org/en/packages/org.libre.agosto.p2play/)

# Pixelfed

## Mobile

### Android

* [Pixeldroid](https://github.com/H-PixelDroid/PixelDroid/) - first alpha released in May 2020

# Pleroma

*note*: Pleroma implements Mastodon's bespoke server<>client protocol, but they've also implemented the ActivityPub server<>client protocol, so these apps may or may not be compatible with Mastodon.

## Web apps

* [Soapbox](https://soapbox.pub/). Code available here: https://gitlab.com/soapbox-pub/

# Unknown - to research

* [Tootdon](https://ja.mstdn.wiki/Tootdon) - maybe a dead project?

* [Twidere](https://f-droid.org/en/packages/org.mariotaku.twidere/) - mainly a Titter client, mentions "StatusNet", maybe compatible with OStatus (GNU social, Friendica)?


# Sources

The Mastodon project wiki has a [list of Mastodon compatible apps](https://github.com/tootsuite/documentation/blob/master/Using-Mastodon/Apps.md). There are some [Diaspora clients on F-Droid](https://search.f-droid.org/?q=diaspora&lang=en)

# It's Dead Jim ...

Abandoned projects.

* [MouseApp](https://github.com/cerisara/mousetodon) - Abandoned with a [suggestion to use "Mastalab", now Fedilab](https://cerisara.github.io/mousetodon/), [On F-Droid as MouseApp](https://f-droid.org/en/packages/fr.xtof54.mousetodon/)